# Custom lists

## Create a custom list

1. Go to the 'Audiences' module.&#x20;
2. Click on the 'Create a custom list' button.
3. Insert addresses manually or download the CSV file.&#x20;

> **Note:** Maximum CSV file size = 100 MB

> **Note:** Duplicated addresses will be removed from the custom list.&#x20;

4\. Click on the 'Save' button.&#x20;

> **Note:** Another option to create a custom list is using Add to list block in flows.&#x20;

## Create via API

Custom lists can be created via API, using your team's API key. Upon success, the API responds with the unique numerical ID for your custom list, which you can then use to feed the list with profiles using the next API documented on this page.

### Endpoint

```
https://backend.absolutelabs.app/api/audiences/custom-list/
```

### Request headers

```
- Authentication: Bearer {your API key}
- Content-Type: application/json
```

### Request body example

```
{
  "name": "The name for your Custom List"
}
```

### Response

```
{
  "id": 1337,
  "name": "My new list"
}
```

## Modifying a list via API

To add profiles to a list, remove some, or simply rename a list, you can use the PATCH method on your custom list resource as follows.

### Endpoint

```
https://backend.absolutelabs.app/api/audiences/custom-list/{list_id}
```

### Request headers

```
- Authentication: Bearer {your API key}
- Content-Type: application/json
```

### Request body example

```
{
  "add": ["0xabc...", "0x123...", ...],
  "remove": ["0xabc...", "0x123...", ...],
  "name": "New list name"
}
```

### Response

```
{
  "name_update": {
    "status": "success"
  },
  "addresses_addition": {
    "status": "success"
  },
  "addresses_removal": {
    "status": "success"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.absolutelabs.io/features/audiences/custom-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
